Edit Product
curl --request PATCH \
--url https://api.example.com/merchant/product/editimport requests
url = "https://api.example.com/merchant/product/edit"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.example.com/merchant/product/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
Products
Edit Product
Edit a product
PATCH
/
merchant
/
product
/
edit
Edit Product
Edit an existing product.
string
required
Product ID to edit
string
Updated product name
string
Updated product description
boolean
Whether the product is active
boolean
Indicates if the request was successful
object
Updated product data
Example Request
curl -X PATCH https://api.transaction.gg/merchant/product/edit \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"productId": "prod_X4dUuzsMaruQ4UsX",
"name": "Updated Product Name",
"description": "Updated description",
"active": true
}'
Example Response
{
"success": true,
"data": {
"id": "prod_X4dUuzsMaruQ4UsX",
"name": "Updated Product Name",
"description": "Updated description",
"active": true,
"updatedAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
},
"data": null
}
⌘I